Sparkscan API
string · requiredstring · enum · requiredstring · enumstringnumber · min: 1 · max: 48
string · requiredstring · requiredstring · enum · requiredstring · enumstringnumber · min: 1 · max: 48
GET
https://api.sparkscan.io
/v2/historical/sats/balances/{address}
Fetches the hourly sats balances for an address. Currently available on the free plan but will be limited to enterprise users in the future.
path Parameters
addressThe address to fetch the sats balances for.
query Parameters
networkEnum values:
MAINNET
REGTEST
directionEnum values:
forward
backward
fromThe start date to fetch the data from.
toThe end date to fetch the data to.
cursorPagination cursor from previous response.
limitNumber of results per page (default: 12, max: 48).
Responses
Response for status 200
object[] · required
required
GET
https://api.sparkscan.io
/v2/historical/tokens/balances/{address}/{tokenIdentifier}
Fetches the hourly tokens balances for an address and token identifier. Currently available on the free plan but will be limited to enterprise users in the future.
path Parameters
addressThe address to fetch the tokens balances for.
tokenIdentifierThe token identifier to fetch the tokens balances for.
query Parameters
networkEnum values:
MAINNET
REGTEST
directionEnum values:
forward
backward
fromtocursorPagination cursor from previous response.
limitNumber of results per page (default: 12, max: 48).
Responses
Response for status 200
object[] · required
required